Subject: bug#14399: octave-mode bug

From: Tom Olin <[email-masked]>
Date: Sat, 30 Nov 2013 08:09:43 -0500

A semicolon separates rows; a comma or space separates columns. Thus [ foo bar ] or [ foo, bar ] is a 1x2 matrix. [ foo; bar ] is a 2x1 matrix.

--
Tom Olin
Senior Systems Engineer | PAR Government Systems Corporation
315.356.2142 | [email-masked] | http://pargovernment.com

On Nov 27, 2013, at 11:40 PM, Stefan Monnier <[email-masked]> wrote:

> Ping?
> 
>>>>>> "Stefan" == Stefan Monnier <[email-masked]> writes:
> 
>>>>> I am unfamiliar with smie. I have been meaning to understand it but
>>>>> haven't found time to. Could you help fix this indentation bug?
>>>> I can't remember much of the syntax of Octave.  What does ";..." mean?
>>> ... introduces a continuation line.  Similar to \ in other languages.
> 
>>> a = [ foo;...
>>> bar ]
> 
>>> is the same as a = [ foo; bar ].
> 
>> That's the part I knew already ;-)
> 
>> But in which way is 
> 
>>   a = [ foo;...
>>         bar ]
> 
>> different from
> 
>>   a = [ foo
>>         bar ]
>> or
>>   a = [ foo;
>>         bar ]
> 
>> -- Stefan